Loading...
Searching...
No Matches
caf::policy::unprofiled Class Reference

This class is intended to be used as a base class for actual polices. More...

`#include <unprofiled.hpp>`

Inheritance diagram for caf::policy::unprofiled:

## Public Member Functions

template<class Worker>
void | before_shutdown (Worker *)
| Performs cleanup action before a shutdown takes place.
template<class Worker>
void | before_resume (Worker *, resumable *)
| Called immediately before resuming an actor.
template<class Worker>
void | after_resume (Worker *, resumable *)
| Called whenever an actor has been resumed.
template<class Worker>
void | after_completion (Worker *, resumable *)
| Called whenever an actor has completed a job.

## Static Protected Member Functions

template<class WorkerOrCoordinator>
static auto | d (WorkerOrCoordinator *self) -> decltype(self->data())

## Detailed Description

This class is intended to be used as a base class for actual polices.

It provides a default empty implementation for the customization points. By deriving from it, actual policy classes only need to implement/override the customization points they need. This class also serves as a place to factor common utilities for implementing actual policies.

## Member Function Documentation

## after_resume()

template<class Worker>

void caf::policy::unprofiled::after_resume | ( | Worker * | ,
|  | resumable * | )

Called whenever an actor has been resumed.

This function can prepare some fields before the next resume operation takes place or perform cleanup actions between to actor runs.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/policy/unprofiled.hpp